Skip to main content
GET
/
v1
/
pix-automatico
/
authorizations
/
{idRecorrencia}
/
cancel
/
{idCancelamento}
Consult a Pix Automático authorization cancellation
curl --request GET \
  --url https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/cancel/{idCancelamento} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/cancel/{idCancelamento}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/cancel/{idCancelamento}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cancelStatus": 123,
  "idCancelamento": "<string>",
  "idRecorrencia": "<string>",
  "payer": {
    "account": "<string>",
    "accountType": 123,
    "agency": "<string>",
    "cpfCnpj": "<string>",
    "ibgeCode": 123,
    "ispb": "<string>",
    "name": "<string>",
    "personType": 123
  },
  "reason": 123,
  "recipient": {
    "cnpj": "<string>",
    "ispb": "<string>",
    "name": "<string>"
  },
  "requesterDocument": "<string>",
  "requesterType": 123,
  "cancelledAt": "<string>",
  "errorCode": "<string>",
  "errorDesc": "<string>",
  "situationAt": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint using client credentials (clientId and clientSecret).

Include token in Authorization header: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Token expires after 3600 seconds (1 hour).

Path Parameters

idRecorrencia
string
required

The recurrence id (29-char, RR...).

idCancelamento
string
required

The cancellation id (29-char, IC...).

Response

OK

cancelStatus
integer<int64>
required

stCancelamento (0=Aceito, 1=Rejeitado; -1 absent).

idCancelamento
string
required

The cancellation id (IC...).

idRecorrencia
string
required

The recurrence id.

payer
object
required
reason
integer<int64>
required

motivoCancelamento (0..10).

recipient
object
required
requesterDocument
string
required

Requester CPF/CNPJ (string).

requesterType
integer<int64>
required

tpPessoaSol.

cancelledAt
string

Cancellation timestamp (UTC).

errorCode
string

Upstream error code.

errorDesc
string

Upstream error description.

situationAt
string

Situation timestamp (UTC).